@mixin desktop {
  @media (min-width: $desktop){
    @content;
  }
}
@mixin tablet {
  @media (min-width: $tablet){
    @content;
  }
}

@mixin flex($main-axis, $cross-axis) {
  display: flex;
  justify-content: $main-axis;
  align-items: $cross-axis;
}

@mixin text-style ($size, $weight, $color, $behaviour, $line-height) {
  font-size: $size;
  font-weight: $weight;
  color: $color;
  text-transform: $behaviour;
  line-height: $line-height;
}

@mixin icon-style($color) {
  color: $color;
  border-color: $color;
}